## ros-indigo-acado 1.2.1

=== CMakeLists.txt ===
################################################################################
#
# Description:
#	Main build system script for the ACADO toolkit.
#
# Authors:
#	Joel Andersson
#	Attila Kozma
#	Milan Vukov, milan.vukov@esat.kuleuven.be
#
# Year:
#	2011 - 2014.
#
# Usage:
#	- Linux, OS X, Windows: more info can be found on www.acadotoolkit.org
#
################################################################################

################################################################################
#
# Project settings
#
################################################################################

#
# Minimum required version of cmake 
#
CMAKE_MINIMUM_REQUIRED( VERSION 2.8 )

#
# Project name and programming languages used
#
PROJECT( ACADO CXX C )

#
# Project version information
#
SET( ACADO_VERSION_MAJOR  1 )
SET( ACADO_VERSION_MINOR  2 )
SET( ACADO_VERSION_PATCH  1 )
SET( ACADO_VERSION_STRING
		${ACADO_VERSION_MAJOR}.${ACADO_VERSION_MINOR}.${ACADO_VERSION_PATCH}beta
)

#
# Folder path for generated executables
#
SET( EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin )

#
# Folder path for generated libraries
#
SET( LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/lib )

#
# CMake module(s) path
#
SET( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake" )

################################################################################
#
# User configuration
#
################################################################################

#
# Set this to true (ON) if you are using makefiles and want to see the full
# compile and link commands instead of only the shortened ones
#
IF( NOT CMAKE_VERBOSE_MAKEFILE )
	SET( CMAKE_VERBOSE_MAKEFILE OFF )
ENDIF( NOT CMAKE_VERBOSE_MAKEFILE )

#
# Enable building of shared and static libraries
#
IF ( MSVC OR CYGWIN OR MINGW )
	# All Windows builds that we currently support
	SET( ACADO_BUILD_SHARED OFF )
	SET( ACADO_BUILD_STATIC ON )
ELSE()
	# Linux or OS X
	OPTION( ACADO_BUILD_SHARED "Build shared libraries" ON )
	OPTION( ACADO_BUILD_STATIC "Build static libraries" OFF )
ENDIF()

IF((NOT ACADO_BUILD_SHARED) AND (NOT ACADO_BUILD_STATIC))
	MESSAGE( ERROR "You must build some libraries..." )
ENDIF()

#
# Enable building of ...
#
OPTION( ACADO_WITH_EXAMPLES "Building ACADO examples" ON )

#
# Compilation of testing suite
#
OPTION( ACADO_WITH_TESTING "Building the testing framework" OFF )

#
# ACADO developer flag
#
OPTION ( ACADO_DEVELOPER "Choose developer/user building mode" OFF )

#
# ACADO internal stuff
#
OPTION( ACADO_INTERNAL "Select building of ACADO internal stuff" OFF )

#
# Compile only the code generation tool
#
OPTION( ACADO_BUILD_CGT_ONLY "Build only the code generation tool" OFF )

#
# Build type
#
IF( NOT CMAKE_BUILD_TYPE )
	SET(CMAKE_BUILD_TYPE Release CACHE STRING
		"Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
		FORCE
	)
ENDIF( NOT CMAKE_BUILD_TYPE )

#
# Installation folders
#
SET( INSTALL_LIB_DIR lib CACHE PATH
	"Installation directory for libraries"
)
SET( INSTALL_BIN_DIR bin CACHE PATH
	"Installation directory for executables"
)
SET( INSTALL_INCLUDE_DIR include/acado CACHE PATH
	"Installation directory for header files"
)
SET( INSTALL_DATA_DIR share/acado CACHE PATH
	"Installation directory for data files"
)
SET( INSTALL_CMAKE_DIR share/acado/cmake CACHE PATH
	"Installation directory for CMake files"
)

################################################################################
#
# Dependencies
#
################################################################################

FIND_PACKAGE( Doxygen )

################################################################################
#
# Compiler settings
#
################################################################################

# Suppressing some stupid warnings from CMake 3.0
IF (POLICY CMP0026)
	CMAKE_POLICY(SET CMP0026 OLD)
ENDIF( )
IF (POLICY CMP0042)
	CMAKE_POLICY(SET CMP0042 OLD)
ENDIF( )

#
# Compiler options are in separate file
#
INCLUDE( CompilerOptions )

################################################################################
#
# Include directories
#
################################################################################

INCLUDE_DIRECTORIES(
	${PROJECT_SOURCE_DIR}
	${PROJECT_SOURCE_DIR}/acado
	${PROJECT_SOURCE_DIR}/external_packages
	${PROJECT_SOURCE_DIR}/external_packages/qpOASES-3.0beta/include
	${PROJECT_BINARY_DIR}
)

################################################################################
#
# Build the ACADO toolkit library
#
################################################################################

ADD_SUBDIRECTORY( acado )

################################################################################
#
# Building external packages
#
################################################################################

IF (NOT ACADO_BUILD_CGT_ONLY)
	#
	# Build qpOASES library
	#
	ADD_SUBDIRECTORY( ./external_packages/qpOASES-3.0beta )
	
	#
	# Build csparse library
	#
	ADD_SUBDIRECTORY( ./external_packages/csparse )
ENDIF()

#
# Build (a part of) CasADi library
#
ADD_SUBDIRECTORY( ./external_packages/casadi )

################################################################################
#
# Automatic testing
#
################################################################################

#
# Tests
#
IF( ACADO_WITH_TESTING )
	ENABLE_TESTING()
ENDIF( ACADO_WITH_TESTING )

################################################################################
#
# Some global installation rules
#
################################################################################

#
# Install ACADO headers
#
INSTALL(
	DIRECTORY
		acado/
	DESTINATION
		${INSTALL_INCLUDE_DIR}
	FILES_MATCHING PATTERN "*.hpp"
)
INSTALL(
	DIRECTORY
		acado/
	DESTINATION
		${INSTALL_INCLUDE_DIR}
	FILES_MATCHING PATTERN "*.ipp"
)
install(FILES package.xml DESTINATION share/acado)

#
# Install Eigen3
#
INSTALL(
	DIRECTORY
		external_packages/eigen3
	DESTINATION
		${INSTALL_INCLUDE_DIR}/external_packages
)

#
# Install qpOASES embedded
#
INSTALL(
	DIRECTORY
		external_packages/qpoases
	DESTINATION
		${INSTALL_DATA_DIR}/external_packages
)

#
# Configure and install CMake package configuration file
#
SET( ACADO_INSTALL_INCLUDE_DIRS
	${CMAKE_INSTALL_PREFIX}/${INSTALL_INCLUDE_DIR}
)
SET( ACADO_INSTALL_LIBRARY_DIRS
	${CMAKE_INSTALL_PREFIX}/${INSTALL_LIB_DIR}
)
SET( ACADO_INSTALL_EXTERNAL_PACKAGES_DIR
	${CMAKE_INSTALL_PREFIX}/${INSTALL_DATA_DIR}/external_packages
)
SET( ACADO_INSTALL_CMAKE_DIR
	${CMAKE_INSTALL_PREFIX}/${INSTALL_CMAKE_DIR}
)

IF ( ACADO_BUILD_STATIC )
	SET( ACADO_INSTALL_STATIC_LIBRARIES
		acado_toolkit
	)
ENDIF()

IF ( ACADO_BUILD_SHARED )
	SET( ACADO_INSTALL_SHARED_LIBRARIES
		acado_toolkit_s
	)
ENDIF()

SET( ACADO_INSTALL_QPOASES_EMBEDDED_SOURCES
	${CMAKE_INSTALL_PREFIX}/${INSTALL_DATA_DIR}/external_packages/qpoases/SRC/Bounds.cpp
	${CMAKE_INSTALL_PREFIX}/${INSTALL_DATA_DIR}/external_packages/qpoases/SRC/CyclingManager.cpp 
	${CMAKE_INSTALL_PREFIX}/${INSTALL_DATA_DIR}/external_packages/qpoases/SRC/MessageHandling.cpp
	${CMAKE_INSTALL_PREFIX}/${INSTALL_DATA_DIR}/external_packages/qpoases/SRC/QProblem.cpp
	${CMAKE_INSTALL_PREFIX}/${INSTALL_DATA_DIR}/external_packages/qpoases/SRC/Utils.cpp
	${CMAKE_INSTALL_PREFIX}/${INSTALL_DATA_DIR}/external_packages/qpoases/SRC/Constraints.cpp
	${CMAKE_INSTALL_PREFIX}/${INSTALL_DATA_DIR}/external_packages/qpoases/SRC/Indexlist.cpp	     
	${CMAKE_INSTALL_PREFIX}/${INSTALL_DATA_DIR}/external_packages/qpoases/SRC/QProblemB.cpp
	${CMAKE_INSTALL_PREFIX}/${INSTALL_DATA_DIR}/external_packages/qpoases/SRC/SubjectTo.cpp
	${CMAKE_INSTALL_PREFIX}/${INSTALL_DATA_DIR}/external_packages/qpoases/SRC/EXTRAS/SolutionAnalysis.cpp
)
SET( ACADO_INSTALL_QPOASES_EMBEDDED_INC_DIRS
	${CMAKE_INSTALL_PREFIX}/${INSTALL_DATA_DIR}/external_packages/qpoases/
	${CMAKE_INSTALL_PREFIX}/${INSTALL_DATA_DIR}/external_packages/qpoases/INCLUDE
	${CMAKE_INSTALL_PREFIX}/${INSTALL_DATA_DIR}/external_packages/qpoases/SRC
)

CONFIGURE_FILE(
	"${PROJECT_SOURCE_DIR}/cmake/ACADOConfig.cmake.in"
	"${PROJECT_BINARY_DIR}/ACADOConfig.cmake"
	@ONLY
)
INSTALL(
	FILES
		${PROJECT_BINARY_DIR}/ACADOConfig.cmake
	DESTINATION
		${INSTALL_CMAKE_DIR}
)
INSTALL(
	FILES
		${PROJECT_SOURCE_DIR}/cmake/FindACADO.cmake
		${PROJECT_SOURCE_DIR}/cmake/UseACADO.cmake
	DESTINATION
		${INSTALL_CMAKE_DIR}
)

################################################################################
#
# Rules for un-installing ACADO toolkit
#
################################################################################

CONFIGURE_FILE(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/ACADOUninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/ACADOUninstall.cmake"
    IMMEDIATE @ONLY
)

ADD_CUSTOM_TARGET( uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/ACADOUninstall.cmake
)

################################################################################
#
# Building API documentation
#
################################################################################

IF( DOXYGEN_FOUND )
	ADD_CUSTOM_TARGET( doc
		${DOXYGEN_EXECUTABLE} ${PROJECT_SOURCE_DIR}/doc/doxygen.config
		WORKING_DIRECTORY
			${PROJECT_SOURCE_DIR}/doc
		COMMENT
			"Generating API documentation with Doxygen" VERBATIM
	)
ENDIF( DOXYGEN_FOUND )

################################################################################
#
# Configuration of the bash script
#
################################################################################

SET( ACADO_INCLUDE_DIRS
	${PROJECT_SOURCE_DIR}
	${PROJECT_SOURCE_DIR}/acado
	${PROJECT_SOURCE_DIR}/external_packages
	${PROJECT_SOURCE_DIR}/external_packages/qpOASES-3.0beta/include
	${PROJECT_BINARY_DIR}
)

SET( ACADO_LIBRARY_DIRS
	${LIBRARY_OUTPUT_PATH}
)

SET( ACADO_EXTERNAL_PACKAGES_DIR
	${PROJECT_SOURCE_DIR}/external_packages
)

SET( ACADO_CMAKE_DIR
	${PROJECT_SOURCE_DIR}/cmake
)

SET( ACADO_STATIC_LIBRARIES 
	${ACADO_INSTALL_STATIC_LIBRARIES}
)

SET( ACADO_SHARED_LIBRARIES
	${ACADO_INSTALL_SHARED_LIBRARIES}
)

SET( ACADO_QPOASES_EMBEDDED_FOLDER 
	${PROJECT_SOURCE_DIR}/external_packages/qpoases
)

SET( ACADO_QPOASES_EMBEDDED_SOURCES
	${PROJECT_SOURCE_DIR}/external_packages/qpoases/SRC/Bounds.cpp
	${PROJECT_SOURCE_DIR}/external_packages/qpoases/SRC/CyclingManager.cpp 
	${PROJECT_SOURCE_DIR}/external_packages/qpoases/SRC/MessageHandling.cpp
	${PROJECT_SOURCE_DIR}/external_packages/qpoases/SRC/QProblem.cpp
	${PROJECT_SOURCE_DIR}/external_packages/qpoases/SRC/Utils.cpp
	${PROJECT_SOURCE_DIR}/external_packages/qpoases/SRC/Constraints.cpp
	${PROJECT_SOURCE_DIR}/external_packages/qpoases/SRC/Indexlist.cpp	     
	${PROJECT_SOURCE_DIR}/external_packages/qpoases/SRC/QProblemB.cpp
	${PROJECT_SOURCE_DIR}/external_packages/qpoases/SRC/SubjectTo.cpp
	${PROJECT_SOURCE_DIR}/external_packages/qpoases/SRC/EXTRAS/SolutionAnalysis.cpp
)

SET( ACADO_QPOASES_EMBEDDED_INC_DIRS
	${PROJECT_SOURCE_DIR}/external_packages/qpoases/
	${PROJECT_SOURCE_DIR}/external_packages/qpoases/INCLUDE
	${PROJECT_SOURCE_DIR}/external_packages/qpoases/SRC
)

CONFIGURE_FILE(
	"${PROJECT_SOURCE_DIR}/cmake/acado_env.sh.in"
	"${PROJECT_BINARY_DIR}/acado_env.sh"
	@ONLY
)

################################################################################
#
# Configure pkg-config script
#
################################################################################

SET( PC_VERSION
	${ACADO_VERSION_STRING}
)

STRING(REPLACE ";" " -I" PC_INCLUDE_DIRS "${ACADO_INCLUDE_DIRS}")
SET( PC_INCLUDE_DIRS 
	"-I${PC_INCLUDE_DIRS}"
)

STRING(REPLACE ";" " -L" PC_LIBRARY_DIRS "${ACADO_LIBRARY_DIRS}")
SET( PC_LIBRARY_DIRS
	"-L${PC_LIBRARY_DIRS}"
)

# The following code favors shared libraries.
IF ( ACADO_BUILD_SHARED )
	STRING(REPLACE ";" " -l" PC_LIBS "${ACADO_SHARED_LIBRARIES}")
ELSEIF ( ACADO_BUILD_STATIC )
	STRING(REPLACE ";" " -l" PC_LIBS "${ACADO_STATIC_LIBRARIES}")
ENDIF()
SET( PC_LIBS
	"-l${PC_LIBS}"
)

STRING(REPLACE ";" " -I" PC_QPOASES_EMBEDDED_INC_DIRS "${ACADO_QPOASES_EMBEDDED_INC_DIRS}")
SET( PC_QPOASES_EMBEDDED_INC_DIRS

=== external_packages/qpOASES-3.0beta/CMakeLists.txt ===
################################################################################
#
# Description:
#	CMake script for building qpOASES library and examples
#
# Authors:
#   Hans Joachim Ferreau
#	Milan Vukov, milan.vukov@esat.kuleuven.be
#
# Year:
#	2011 - 2014
#
# NOTE:
#   - This is a quite modified version of the original qpOASES build script.
#
# Usage:
#	- TBD
#
#
################################################################################

SET( qpOASES_VERSION_MAJOR 3 )
SET( qpOASES_VERSION_MINOR 0 )
SET( qpOASES_VERSION_PATCH beta )
SET( qpOASES_VERSION_STRING
	${qpOASES_VERSION_MAJOR}.${qpOASES_VERSION_MINOR}.${qpOASES_VERSION_PATCH}
)

IF ( UNIX )
	SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D__NO_COPYRIGHT__")
ELSEIF( WINDOWS )
	SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -nologo -EHsc -DWIN32 -Dsnprintf=_snprintf -D__NO_COPYRIGHT__")
ENDIF()

OPTION( QPOASES_WITH_LAPACK
	"Build qpOASES using original LAPACK routines"
	OFF
)
OPTION( QPOASES_WITH_BLAS
	"Build qpOASES using original BLAS routines"
	OFF
)

#
# Compile qpOASES libraries
#

SET( QPOASES_SOURCES
	src/Bounds.cpp
	src/Constraints.cpp
	src/Flipper.cpp
	src/Indexlist.cpp
	src/Matrices.cpp
	src/MessageHandling.cpp
	src/Options.cpp
	src/QProblem.cpp
	src/QProblemB.cpp
	src/SQProblem.cpp
	src/SubjectTo.cpp
	src/Utils.cpp
)

#
# Find LAPACK
#
IF ( QPOASES_WITH_LAPACK )
	ENABLE_LANGUAGE( C )
	ENABLE_LANGUAGE( Fortran )

	FIND_PACKAGE( LAPACK )

	IF ( NOT LAPACK_FOUND )
		SET( QPOASES_SOURCES ${QPOASES_SOURCES} src/LAPACKReplacement.cpp )
	ENDIF ( NOT LAPACK_FOUND )

ELSE ( QPOASES_WITH_LAPACK )
	SET( QPOASES_SOURCES ${QPOASES_SOURCES} src/LAPACKReplacement.cpp )
ENDIF ( QPOASES_WITH_LAPACK )

#
# Find BLAS
#
IF ( QPOASES_WITH_BLAS )
	ENABLE_LANGUAGE( C )
	ENABLE_LANGUAGE( Fortran )

	FIND_PACKAGE( BLAS )

	IF ( NOT BLAS_FOUND )
		SET( QPOASES_SOURCES ${QPOASES_SOURCES} src/BLASReplacement.cpp )
	ENDIF ( NOT BLAS_FOUND )

ELSE ( QPOASES_WITH_BLAS )
	SET( QPOASES_SOURCES ${QPOASES_SOURCES} src/BLASReplacement.cpp )
ENDIF ( QPOASES_WITH_BLAS )

SET( QPOASES_EXTRAS_SOURCES
	src/extras/OQPinterface.cpp
	src/extras/SolutionAnalysis.cpp
)

#
# Build only the static library with extra features
#
ADD_LIBRARY(acado_qpoases STATIC ${QPOASES_SOURCES} ${QPOASES_EXTRAS_SOURCES})

IF ( QPOASES_WITH_LAPACK AND LAPACK_FOUND )
	TARGET_LINK_LIBRARIES(
		acado_qpoases
		${LAPACK_LIBRARIES}
	)
ENDIF()

IF ( QPOASES_WITH_BLAS AND BLAS_FOUND )
	TARGET_LINK_LIBRARIES(
		acado_qpoases
		${BLAS_LIBRARIES}
	)
ENDIF()

=== acado/code_generation/templates/CMakeLists.txt ===
################################################################################
#
# Description:
#	Configuration of templates
#
# Authors:
#	Milan Vukov, milan.vukov@esat.kuleuven.be
# 	Rien Quirynen
#
# Year:
#	2011 - 2014
#
#
################################################################################

#
# Templates
#

SET( INTEGRATOR_MEX_TEMPLATE integrator_mex.c.in)
SET( RHS_MEX_TEMPLATE rhs_mex.c.in)

SET( HESSIAN_REG_SOURCE acado_hessian_regularization.c.in)

SET( FORCES_TEMPLATE forces_interface.in)
SET( FORCES_GENERATOR acado_forces_generator.m.in)
SET( FORCES_GENERATOR_PYTHON acado_forces_generator.py.in)
SET( QPOASES_HEADER qpoases_interface.hpp.in)
SET( QPOASES_SOURCE qpoases_interface.cpp.in)
SET( QPDUNES_TEMPLATE qpdunes_interface.in)

SET( AUXILIARY_FUNCTIONS_HEADER acado_auxiliary_functions.h.in)
SET( AUXILIARY_FUNCTIONS_SOURCE acado_auxiliary_functions.c.in)
SET( AUXILIARY_SIM_FUNCTIONS_HEADER acado_auxiliary_sim_functions.h.in)
SET( AUXILIARY_SIM_FUNCTIONS_SOURCE acado_auxiliary_sim_functions.c.in)
SET( SOLVER_MEX acado_solver_mex.c.in)
SET( EH_SOLVER_MEX acado_EH_solver_mex.c.in)
SET( MAKE_MEX_FORCES make_acado_solver_forces.m.in)
SET( MAKE_MEX_QPOASES make_acado_solver_qpoases.m.in)
SET( MAKE_MEX_EH_QPOASES make_acado_EH_solver_qpoases.m.in)
SET( MAKE_MEX_QPDUNES make_acado_solver_qpdunes.m.in)
SET( MAKE_MEX_EH_QPDUNES make_acado_EH_solver_qpdunes.m.in)
SET( MAKE_MEX_INTEGRATOR make_acado_integrator.m.in)
SET( MAKE_MEX_MODEL make_acado_model.m.in)
SET( MAKEFILE_FORCES makefile.forces.in)
SET( MAKEFILE_QPOASES makefile.qpoases.in)
SET( MAKEFILE_QPDUNES makefile.qpdunes.in)
SET( MAKEFILE_HPMPC makefile.hpmpc.in)
SET( MAKEFILE_INTEGRATOR makefile.integrator.in)

SET( MAKEFILE_SFUN_QPOASES make_acado_solver_sfunction.m.in)
SET( SOLVER_SFUN_SOURCE acado_solver_sfunction.c.in)
SET( SOLVER_SFUN_HEADER acado_solver_sfunction.h.in)

SET( DUMMY_TEST_FILE dummy_test_file.in)

SET( COMMON_HEADER_TEMPLATE acado_common_header.h.in)

SET( HPMPC_INTERFACE acado_hpmpc_interface.c.in)

#
# Template paths
#

SET( INSTALL_TEMPLATE_PATH
	${CMAKE_INSTALL_PREFIX}/${INSTALL_INCLUDE_DIR}/code_generation/templates
)

SET( TEMPLATE_PATHS ${CMAKE_CURRENT_SOURCE_DIR} ${INSTALL_TEMPLATE_PATH} )

#
# Configure templates
#

SET( CG_TEMPLATES_PATH
	${PROJECT_BINARY_DIR}/acado/code_generation/templates
)

CONFIGURE_FILE(
	"${CMAKE_CURRENT_SOURCE_DIR}/templates.hpp.in"
	"${CG_TEMPLATES_PATH}/templates.hpp"
	@ONLY
)

#
# Install templates' header
#
FILE( GLOB TEMPLATES "*.in" )

INSTALL(
	FILES
		${TEMPLATES}
		"${CG_TEMPLATES_PATH}/templates.hpp"
	DESTINATION
		${INSTALL_INCLUDE_DIR}/code_generation/templates
)

=== debian/changelog ===
ros-indigo-acado (1.2.1-5trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 01 Jul 2015 18:53:14 -0000

=== debian/control ===
Source: ros-indigo-acado
Section: misc
Priority: extra
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), cmake, libboost-all-dev
Homepage: http://acado.github.io/
Standards-Version: 3.9.2

Package: ros-indigo-acado
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-indigo-catkin
Description: ACADO Toolkit

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-acado//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
